Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F160111018
D36558.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D36558.diff
View Options
diff --git a/Mk/Scripts/create-manifest.sh b/Mk/Scripts/create-manifest.sh
--- a/Mk/Scripts/create-manifest.sh
+++ b/Mk/Scripts/create-manifest.sh
@@ -52,7 +52,7 @@
EOT
# Then, the optional bits
-[ -z "${dp_WWW}" ] || echo "www: \"${dp_WWW}\""
+[ -z "${dp_WWW}" ] || echo "www: \"${dp_WWW%% *}\""
[ -z "${dp_LICENSE}" ] || echo "licenses: [ ${dp_LICENSE} ]"
[ -z "${dp_USERS}" ] || echo "users: [ ${dp_USERS} ]"
[ -z "${dp_GROUPS}" ] || echo "groups: [ ${dp_GROUPS} ]"
@@ -89,7 +89,9 @@
cp ${dp_DESCR} ${dp_METADIR}/+DESC
if [ -n "${dp_WWW}" ] && ! grep -q '^WWW: ' ${dp_DESCR}; then
echo >> ${dp_METADIR}/+DESC
- echo "WWW: ${dp_WWW}" >> ${dp_METADIR}/+DESC
+ for www in ${dp_WWW}; do
+ echo "WWW: ${www}" >> ${dp_METADIR}/+DESC
+ done
fi
# Concatenate all the scripts
diff --git a/Mk/bsd.port.mk b/Mk/bsd.port.mk
--- a/Mk/bsd.port.mk
+++ b/Mk/bsd.port.mk
@@ -3567,6 +3567,8 @@
. endif
. endif
+_WWW= ${WWW:[1]}
+
. if !defined(DISABLE_SECURITY_CHECK)
. if !target(security-check)
security-check: ${TMPPLIST}
@@ -4287,7 +4289,7 @@
dp_PORT_OPTIONS='${PORT_OPTIONS}' \
dp_PREFIX='${PREFIX}' \
dp_USERS='${USERS:u:S/$/,/}' \
- dp_WWW='${_WWW}' \
+ dp_WWW='${WWW}' \
${PKG_NOTES_ENV} \
${SH} ${SCRIPTSDIR}/create-manifest.sh
@@ -4351,7 +4353,6 @@
_LIB_DEPENDS=${LIB_DEPENDS:C/^[^ :]+:([^ :@]+)(@[^ :]+)?(:[^ :]+)?/\1/:O:u:C,(^[^/]),${PORTSDIR}/\1,}
_BUILD_DEPENDS=${BUILD_DEPENDS:C/^[^ :]+:([^ :@]+)(@[^ :]+)?(:[^ :]+)?/\1/:O:u:C,(^[^/]),${PORTSDIR}/\1,} ${_LIB_DEPENDS}
_RUN_DEPENDS=${RUN_DEPENDS:C/^[^ :]+:([^ :@]+)(@[^ :]+)?(:[^ :]+)?/\1/:O:u:C,(^[^/]),${PORTSDIR}/\1,} ${_LIB_DEPENDS}
-_WWW=${WWW}
. if exists(${DESCR})
_DESCR=${DESCR}
. else
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Mon, Jun 22, 12:26 PM (26 m, 1 s)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34187826
Default Alt Text
D36558.diff (1 KB)
Attached To
Mode
D36558: Deal with multiple WWW URLs in Makefile
Attached
Detach File
Event Timeline
Log In to Comment